/*!
 * @file        main.c
 *
 * @brief       Main program body
 *
 * @version     V2.5
 *
 * @date        2024-08-08
 *
 * @attention
 *
 *  Copyright (C) 2020-2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */
#include "include.h"
#include "timer_pwm.h"

/*!
 * @brief       Main program,PWM
 *
 * @param       None
 *
 * @retval      None
 *
 */
int main(void)
{
    printf("Hello GW3323 TIMER_PWM!\n");
    bsp_sys_init();                     /*System initialization*/
    set_sys_clk(SYS_160M);

    timer3_pwm_init(1000 - 1);      //1ms
    timer3_pwm_example();

    timer4_pwm_init(500 - 1);
    timer4_period_example(1000 - 1);
    timer4_pwm_example();

    timer5_pwm_init(500 - 1);
    timer5_period_example(1000 - 1);
    timer5_pwm_example();

    while (1)
    {

    }
    return 0;
}
